> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainstack.com/llms.txt
> Use this file to discover all available pages before exploring further.

# eth_createAccessList | Plasma

> Plasma API method that creates an EIP-2930 access list for a transaction. Reference for eth_createAccessList on Plasma via Chainstack.

Plasma API method that creates an EIP-2930 access list for a transaction.

> [!NOTE]
>
> When called against a block older than the latest \~128 blocks, this method is treated as an archive request (2 RUs instead of 1 RU). See [request units](https://docs.chainstack.com/docs/request-units.md#evm-methods-affected-by-block-age).

## Parameters

* `object` — the transaction call object
* `quantity or tag` — the block number in hex format or block tag (`latest`, `earliest`, `pending`, `safe`, `finalized`)

## Response

* `object` — an object with `accessList` and `gasUsed`

## `eth_createAccessList` code examples

```javascript ethers.js theme={"system"}
const { JsonRpcProvider } = require("ethers");

const provider = new JsonRpcProvider("CHAINSTACK_NODE_URL");

async function call() {
  const result = await provider.send("eth_createAccessList", [
    {
      to: "0x742d35Cc6634C0532925a3b844Bc454e4438f44e",
      data: "0x"
    },
    "latest"
  ]);
  console.log(result);
}

call();
```

```python web3.py theme={"system"}
from web3 import Web3

node_url = "CHAINSTACK_NODE_URL"
web3 = Web3(Web3.HTTPProvider(node_url))

# Make the call
# Add your parameters here
# result = web3.eth.<method_name>(...)
print(result)
```

```shell cURL theme={"system"}
curl -X POST "CHAINSTACK_NODE_URL" \
  -H "Content-Type: application/json" \
  --data '{
    "jsonrpc": "2.0",
    "method": "eth_createAccessList",
    "params": [],
    "id": 1
  }'
```


## OpenAPI

````yaml openapi/plasma_node_api/execute_transactions/eth_createAccessList.json POST /mt_c524ad9781ae5dccd9ac6f5b0370e
openapi: 3.0.0
info:
  title: Chainstack Node API
  version: 1.0.0
  description: This is an API for interacting with a Chainstack node.
servers:
  - url: https://plasma-mainnet.core.chainstack.com
security: []
paths:
  /mt_c524ad9781ae5dccd9ac6f5b0370e:
    post:
      tags:
        - upload
      summary: eth_createAccessList
      operationId: createAccessList
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                id:
                  type: integer
                  default: 1
                jsonrpc:
                  type: string
                  default: '2.0'
                method:
                  type: string
                  default: eth_createAccessList
                params:
                  type: array
                  items:
                    anyOf:
                      - type: object
                        title: Transaction
                        description: The transaction call object.
                      - type: string
                        title: Block
                        description: Block number or tag (latest, earliest, pending).
                  default:
                    - to: '0x0000000000000000000000000000000000000000'
                    - latest
      responses:
        '200':
          description: Creates an access list for a transaction.
          content:
            application/json:
              schema:
                type: object
                properties:
                  jsonrpc:
                    type: string
                  id:
                    type: integer
                  result:
                    type: object
                    nullable: true

````